Subject: [nwcrg] Fwd: New Version Notification for draft-swett-nwcrg-coding-for-quic-01.txt

From: Vincent Roca <[email-masked]>
Date: Fri, 22 Jun 2018 16:22:44 +0200

Dear all,

We have just posted two I-Ds related to coding in QUIC (URLs below):
	- draft-swett-nwcrg-coding-for-quic			(update)
	- draft-roca-nwcrg-rlc-fec-scheme-for-quic	(new)

Many open questions remains at the moment, so do not hesitate to comment.

Cheers,

  Vincent, on behalf of the authors

> De: [email-masked]
> Objet: New Version Notification for draft-swett-nwcrg-coding-for-quic-01.txt
> Date: 22 juin 2018 à 16:08:42 UTC+2
> À: "Vincent Roca" <[email-masked]>, "Marie-Jose Montpetit" <[email-masked]>, "Ian Swett" <[email-masked]>
> 
> 
> A new version of I-D, draft-swett-nwcrg-coding-for-quic-01.txt
> has been successfully submitted by Vincent Roca and posted to the
> IETF repository.
> 
> Name:		draft-swett-nwcrg-coding-for-quic
> Revision:	01
> Title:		Coding for QUIC
> Document date:	2018-06-21
> Group:		Individual Submission
> Pages:		14
> URL:            https://www.ietf.org/internet-drafts/draft-swett-nwcrg-coding-for-quic-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-swett-nwcrg-coding-for-quic/
> Htmlized:       https://tools.ietf.org/html/draft-swett-nwcrg-coding-for-quic-01
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-swett-nwcrg-coding-for-quic
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-swett-nwcrg-coding-for-quic-01
> 
> Abstract:
>   This document focusses on the integration of FEC coding in the QUIC
>   transport protocol, in order to recover from packet losses.  This
>   document does not specify any FEC code but defines mechanisms to
>   negotiate and integrate FEC Schemes in QUIC.  By using proactive loss
>   recovery, it is expected to improve QUIC performance in sessions
>   impacted by packet losses.  More precisely it is expected to improve
>   QUIC performance with real-time sessions (since FEC coding makes
>   packet loss recovery insensitive to the round trip time), with
>   multicast sessions (since the same repair packet can recover several
>   different losses at several receivers), and with multipath sessions
>   (since repair packets add diversity).
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 

> Le 22 juin 2018 à 16:12, [email-masked] a écrit :
> 
> 
> A new version of I-D, draft-roca-nwcrg-rlc-fec-scheme-for-quic-00.txt
> has been successfully submitted by Vincent Roca and posted to the
> IETF repository.
> 
> Name:		draft-roca-nwcrg-rlc-fec-scheme-for-quic
> Revision:	00
> Title:		Sliding Window Random Linear Code (RLC) Forward Erasure Correction (FEC) Schemes for QUIC
> Document date:	2018-06-21
> Group:		Individual Submission
> Pages:		8
> URL:            https://www.ietf.org/internet-drafts/draft-roca-nwcrg-rlc-fec-scheme-for-quic-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-roca-nwcrg-rlc-fec-scheme-for-quic/
> Htmlized:       https://tools.ietf.org/html/draft-roca-nwcrg-rlc-fec-scheme-for-quic-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-roca-nwcrg-rlc-fec-scheme-for-quic
> 
> 
> Abstract:
>   This document specifies Sliding Window Random Linear Code (RLC)
>   Forward Erasure Correction (FEC) Schemes for the QUIC transport
>   protocol, in order to recover from packet losses.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat